Loading...
Searching...
No Matches
casacore::ArrayInitPolicy Class Reference
casa package (libcasa_casa) » Containers_module

More...

`#include <Allocator.h>`

## Public Member Functions

Bool | operator== (ArrayInitPolicy const &other)
Bool | operator!= (ArrayInitPolicy const &other)

## Private Member Functions

constexpr | ArrayInitPolicy (bool v)

## Private Attributes

Bool | init

## Friends

struct | ArrayInitPolicies

## Detailed Description

A global enum used by some Array/Block constructors.

### Synopsis

ArrayInitPolicy is used in functions where an array is allocated/resized.

Definition at line 54 of file Allocator.h.

## Constructor & Destructor Documentation

## ArrayInitPolicy()

casacore::ArrayInitPolicy::ArrayInitPolicy | ( | bool | v | ) |

inline explicit constexpr private

Definition at line 64 of file Allocator.h.

References init.

Referenced by operator!=(), and operator==().

## Member Function Documentation

## operator!=()

Bool casacore::ArrayInitPolicy::operator!= | ( | ArrayInitPolicy const & | other | ) |

inline

Definition at line 59 of file Allocator.h.

References ArrayInitPolicy(), and init.

## operator==()

Bool casacore::ArrayInitPolicy::operator== | ( | ArrayInitPolicy const & | other | ) |

inline

Definition at line 56 of file Allocator.h.

References ArrayInitPolicy(), and init.

## Friends And Related Symbol Documentation

## ArrayInitPolicies

friend struct ArrayInitPolicies

friend

Definition at line 65 of file Allocator.h.

References ArrayInitPolicies.

Referenced by ArrayInitPolicies.

## Member Data Documentation

## init

Bool casacore::ArrayInitPolicy::init

private

Definition at line 63 of file Allocator.h.

Referenced by ArrayInitPolicy(), operator!=(), and operator==().

The documentation for this class was generated from the following file:

- casa/Containers/Allocator.h